#
# spec file for package python-pyvmomi
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-pyvmomi
Version:        6.7.0
Release:        lp150.1.1
Summary:        VMware vSphere Python SDK
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/vmware/pyvmomi
Source:         https://github.com/vmware/pyvmomi/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module fixtures >= 1.3.0}
BuildRequires:  %{python_module requests >= 2.3.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six >= 1.7.3}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-requests >= 2.3.0
Requires:       python-six >= 1.7.3
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module testtools >= 0.9.34}
BuildRequires:  %{python_module tox}
BuildRequires:  %{python_module vcrpy}
%endif
%python_subpackages

%description
pyVmomi is the Python SDK for the VMware vSphere API that allows you to manage
ESX, ESXi, and vCenter.

%prep
%setup -q -n pyvmomi-%{version}%{?version_suffix}
# we don't want to install any of these
sed -i '/   data_files/,+1d' setup.py
# fix line breaks in text files
sed -i 's/\r//' *.txt

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%license LICENSE.txt
%doc NOTICE.txt README.rst
%{python_sitelib}/pyVim
%{python_sitelib}/pyVmomi
%{python_sitelib}/pyvmomi-%{version}*-py%{py_ver}.egg-info

%changelog
* Wed Apr 18 2018 mardnh@gmx.de
- Update to version 6.7
  * Publish new bindings to support vSphere 6.7
- Change URL to download sources from github
- Remove hotfix macro
- Enable tests
* Sat Mar  3 2018 arun@gmx.de
- specfile:
  * update copyright year
  * don't use python_module for Requires
* Wed Nov 29 2017 boris@steki.net
- updated to release v6.5.0.2017.5-1
  + Fix SoapAdapter serializer to support serializing unicode chars
  + Remove custom getattr in _HTTPSConnection
  + Add user-agent header when connecting to vsphere
- moved to single spec logic to build py2 and py3 package
* Sun Jan 15 2017 hpj@urpla.net
- fix build: add python-fixtures to build dependencies
* Thu Jan 12 2017 mardnh@gmx.de
- Update to version 6.5
  * Spec bump to support vSphere 6.5.
  * Include EAM bindings to support vSphere EAM service.
  * Fixed server thumbprint verification.
  * Fixed sslcontext creation in sample code.
* Sun Sep 18 2016 mardnh@gmx.de
- Update to version 6.0.0.2016.4
  * Python3 related bug fixes.
  * Include task.py utility class.
- Changes from version 6.0.0
  * Spec bump to support vSphere 6.0 server objects and types
    vSphere 6.0 U1 spec is used
  * New ssl context parameter in Connect.py and SoapAdapter.py to
    support passing various ssl options while connecting to vSphere.
  * Drop python 2.6 support.
  * Critical bug fixes.
- Remove patch: pyvmomi-git20141104-new.diff (fixed upstream)
- Fix Source-Url
* Wed May 13 2015 mc@suse.com
- add requires for python-six and python-requests
* Tue Nov  4 2014 hpj@urpla.net
- version 5.5.0.2014.1.1: initial build
- apply asorted fixes from todays git tree
